package com.ynet.life.sujrb.util;

import com.ynet.gene.core.Context;
import com.ynet.gene.data.IndexedCollection;
import com.ynet.gene.data.KeyedCollection;
import com.ynet.life.base.Trace;
import com.ynet.life.format.LifeStringFilter;
import com.ynet.life.mvc.SimpleRequest;
import java.util.HashMap;
import java.util.Map;
import javax.servlet.http.HttpServletRequest;

/* loaded from: com_ynet_life_sujrb_util.jar:com/ynet/life/sujrb/util/PBAccessUtil.class */
public class PBAccessUtil {
    private static final String pageUp = "UP";
    private static final String pageDown = "DN";
    private static final String firstRecordField = "firstRecord";
    private static final String lastRecordField = "lastRecord";
    private static final String DEFAULT_EB_TURN_PAGE_FLAG_FIELD = "pageQueryFlag4EB";

    public static void doTurnPageAccess(HttpServletRequest request, Context sessionContext, Context context, SimpleRequest simpleRequest) {
        try {
            String pageQueryFlag = request.getParameter(DEFAULT_EB_TURN_PAGE_FLAG_FIELD);
            String keyRecord = null;
            if (pageUp.equals(pageQueryFlag)) {
                keyRecord = (String) context.getDataValue(firstRecordField);
            } else if (pageDown.equals(pageQueryFlag)) {
                keyRecord = (String) context.getDataValue(lastRecordField);
            }
            if (keyRecord != null) {
                LifeStringFilter.recoverHtmlTag(keyRecord);
                for (Map.Entry entry : new HashMap().entrySet()) {
                    Object key = entry.getKey();
                    Object value = entry.getValue();
                    context.put(key, value);
                }
            }
        } catch (Exception e) {
            Trace.logError("LifeAction", String.valueOf(simpleRequest.getId()) + ">预处理分页数据失败", e);
        }
    }

    public static void afterTurnPageAccess(Context context, SimpleRequest simpleRequest) {
        try {
            IndexedCollection icoll = context.getDataElement(simpleRequest.getTurnPageIcoll());
            int size = icoll.size();
            if (size > 0) {
                KeyedCollection firstKcoll = icoll.getElementAt(0);
                KeyedCollection lastKcoll = icoll.getElementAt(size - 1);
                context.put(firstRecordField, firstKcoll.toJSon());
                context.put(lastRecordField, lastKcoll.toJSon());
            }
        } catch (Exception e) {
            Trace.logError("LifeAction", String.valueOf(simpleRequest.getId()) + ">处理分页返回数据失败", e);
        }
    }
}
